View Issue Details

IDProjectCategoryView StatusLast Update
0023815LazarusWidgetsetpublic2013-03-08 07:15
ReporterAlexander KoblovAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023815: [Qt] Unnecessary TScrollBar.OnScroll call
DescriptionTScrollBar.OnScroll is called on manual scrollbar position change. See attached example and steps to reproduce for more info.
Steps To ReproduceBuild and run attached example. Press button. With Qt widgetset message will be shown. With Gtk2 and Win32 widgetsets nothing is happen.
Additional InformationLazarus 1.1 revision 40126
TagsNo tags attached.
Fixed in Revision40513
LazTarget1.2
WidgetsetQT
Attached Files

Activities

Alexander Koblov

2013-02-02 19:36

reporter  

scrollbug.tgz (131,544 bytes)

Zeljan Rikalo

2013-02-04 08:05

developer   ~0065447

It is very strange that I see exactly same messages with Gtk2 and Qt when I move slider by mouse. Please put DebugLn() instead of showMessage() in event and send output (put values of ScrollCode and Position there too) of qt and gtk2 on your machine.

Zeljan Rikalo

2013-02-04 08:34

developer   ~0065448

ah.. now I see, you're talking about manual change via buttonOnClick

Alexander Koblov

2013-02-06 06:14

reporter   ~0065509

Yes, I talk about programmatically position change

Issue History

Date Modified Username Field Change
2013-02-02 19:36 Alexander Koblov New Issue
2013-02-02 19:36 Alexander Koblov File Added: scrollbug.tgz
2013-02-03 08:35 Zeljan Rikalo LazTarget => -
2013-02-03 08:35 Zeljan Rikalo Assigned To => Zeljan Rikalo
2013-02-03 08:35 Zeljan Rikalo Status new => assigned
2013-02-04 08:05 Zeljan Rikalo Note Added: 0065447
2013-02-04 08:34 Zeljan Rikalo Note Added: 0065448
2013-02-06 06:14 Alexander Koblov Note Added: 0065509
2013-03-08 07:13 Jesus Reyes Assigned To Zeljan Rikalo => Jesus Reyes
2013-03-08 07:15 Jesus Reyes Fixed in Revision => 40513
2013-03-08 07:15 Jesus Reyes LazTarget - => 1.2
2013-03-08 07:15 Jesus Reyes Status assigned => resolved
2013-03-08 07:15 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-03-08 07:15 Jesus Reyes Resolution open => fixed
2013-03-08 07:15 Jesus Reyes Target Version => 1.2.0